<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="50dp"
    android:background="@drawable/im_open_notification_bg"
    android:paddingHorizontal="10dp">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_close"
        android:layout_width="20dp"
        android:layout_height="20dp"
        app:srcCompat="@drawable/common_close_ic"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="12dp"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:text="@string/im_open_notification_title"
        android:textColor="@color/color_FF1D2129"
        android:textSize="12sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toTopOf="@id/tv_title_desc"
        app:layout_constraintEnd_toStartOf="@id/btn_turn_on"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toEndOf="@id/iv_close"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_chainStyle="packed" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title_desc"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="12dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:text="@string/im_open_notification_title_desc"
        android:textColor="@color/color_FF1D2129"
        android:textSize="12sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/btn_turn_on"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toEndOf="@id/iv_close"
        app:layout_constraintTop_toBottomOf="@id/tv_title" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/btn_turn_on"
        android:layout_width="wrap_content"
        android:layout_height="24dp"
        android:layout_marginStart="12dp"
        android:background="@drawable/im_turn_on_notification_bg"
        android:gravity="center"
        android:includeFontPadding="false"
        android:paddingHorizontal="8dp"
        android:singleLine="true"
        android:text="@string/im_turn_on_notification"
        android:textColor="@color/white"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>